summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoe Carstairs <me@joeac.net>2026-07-03 10:41:08 +0100
committerJoe Carstairs <me@joeac.net>2026-07-03 10:41:08 +0100
commit6a4d6d88c5999b00bfce06665e27a6870a739a7a (patch)
tree63bd55039e7e6b508f5aed404045c15130818f05
parent32ae7e2b38c26d189168ba4fdb607b26148d5d01 (diff)
install.sh creates remote_smtp_password
-rw-r--r--install.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index 94a02f3..4bdb910 100644
--- a/install.sh
+++ b/install.sh
@@ -25,6 +25,16 @@ then
fi
echo ${DIGITALOCEAN_TOKEN} > DIGITALOCEAN_TOKEN
+if ! ( podman secret exists remote_smtp_password )
+then
+ if [ -z "${REMOTE_SMTP_PASSWORD}" ]
+ then
+ read -sp "REMOTE_SMTP_PASSWORD: " REMOTE_SMTP_PASSWORD
+ fi
+ echo "${REMOTE_SMTP_PASSWORD}" | podman secret create remote_smtp_password -
+ unset REMOTE_SMTP_PASSWORD
+fi
+
while read line
do
if expr "${line}" : "^[[:alnum:]_]\+=" 1>/dev/null